=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2011-02-17 00:14:13 +0000
+++ client/drizzle.cc	2011-02-21 21:45:55 +0000
@@ -428,7 +428,7 @@
 static void add_int_to_prompt(int toadd);
 static int get_result_width(drizzle_result_st *res);
 static int get_field_disp_length(drizzle_column_st * field);
-static const char * strcont(register const char *str, register const char *set);
+static const char * strcont(const char *str, const char *set);
 
 /* A class which contains information on the commands this program
    can understand. */
@@ -2760,7 +2760,7 @@
 static int
 com_help(string *buffer, const char *)
 {
-  register int i, j;
+  int i, j;
   char buff[32], *end;
   std::vector<char> output_buff;
   output_buff.resize(512);
@@ -4661,9 +4661,9 @@
     if there isn't anything found.
 */
 
-static const char * strcont(register const char *str, register const char *set)
+static const char * strcont(const char *str, const char *set)
 {
-  register const char * start = (const char *) set;
+  const char * start = (const char *) set;
 
   while (*str)
   {

=== modified file 'client/drizzleslap.cc' (properties changed: +x to -x)
--- client/drizzleslap.cc	2011-02-17 00:14:13 +0000
+++ client/drizzleslap.cc	2011-02-21 21:45:55 +0000
@@ -245,7 +245,7 @@
 
 static long int timedif(struct timeval a, struct timeval b)
 {
-  register int us, s;
+  int us, s;
 
   us = a.tv_usec - b.tv_usec;
   us /= 1000;

=== modified file 'drizzled/dtoa.cc'
--- drizzled/dtoa.cc	2011-02-17 00:14:13 +0000
+++ drizzled/dtoa.cc	2011-02-21 21:45:55 +0000
@@ -720,9 +720,9 @@
 }
 
 
-static int hi0bits(register ULong x)
+static int hi0bits(ULong x)
 {
-  register int k= 0;
+  int k= 0;
 
   if (!(x & 0xffff0000))
   {
@@ -756,8 +756,8 @@
 
 static int lo0bits(ULong *y)
 {
-  register int k;
-  register ULong x= *y;
+  int k;
+  ULong x= *y;
 
   if (x & 7)
   {
@@ -1069,7 +1069,7 @@
 
 static double ulp(double x)
 {
-  register Long L;
+  Long L;
   double a;
 
   L= (word0(x) & Exp_mask) - (P - 1)*Exp_msk1;

=== modified file 'drizzled/function/str/replace.cc'
--- drizzled/function/str/replace.cc	2011-02-17 00:14:13 +0000
+++ drizzled/function/str/replace.cc	2011-02-21 21:45:55 +0000
@@ -43,7 +43,7 @@
   uint32_t from_length,to_length;
   bool alloced=0;
   const char *ptr,*end,*strend,*search,*search_end;
-  register uint32_t l;
+  uint32_t l;
   bool binary_cmp;
 
   null_value=0;
@@ -80,7 +80,7 @@
     {
         if (*ptr == *search)
         {
-          register char *i,*j;
+          char *i,*j;
           i=(char*) ptr+1; j=(char*) search+1;
           while (j != search_end)
             if (*i++ != *j++) goto skip;

=== modified file 'drizzled/function/str/trim.cc'
--- drizzled/function/str/trim.cc	2011-02-17 00:14:13 +0000
+++ drizzled/function/str/trim.cc	2011-02-21 21:45:55 +0000
@@ -95,7 +95,7 @@
   ptr= (char*) res->ptr();
   end= ptr+res->length();
   char *p=ptr;
-  register uint32_t l;
+  uint32_t l;
   if (remove_length == 1)
   {
     char chr=(*remove_str)[0];
@@ -175,7 +175,7 @@
   if (use_mb(res->charset()))
   {
     char *p=ptr;
-    register uint32_t l;
+    uint32_t l;
  loop:
     while (ptr + remove_length < end)
     {

=== modified file 'drizzled/internal/bmove_upp.cc'
--- drizzled/internal/bmove_upp.cc	2011-02-17 00:14:13 +0000
+++ drizzled/internal/bmove_upp.cc	2011-02-21 21:45:55 +0000
@@ -31,8 +31,7 @@
 namespace internal
 {
 
-void bmove_upp(register unsigned char *dst, register const unsigned char *src,
-               register size_t len)
+void bmove_upp(unsigned char *dst, const unsigned char *src, size_t len)
 {
   while (len-- != 0) *--dst = *--src;
 }

=== modified file 'drizzled/internal/mf_iocache.cc'
--- drizzled/internal/mf_iocache.cc	2011-02-17 00:14:13 +0000
+++ drizzled/internal/mf_iocache.cc	2011-02-21 21:45:55 +0000
@@ -70,15 +70,15 @@
 namespace internal
 {
 
-static int _my_b_read(register st_io_cache *info, unsigned char *Buffer, size_t Count);
-static int _my_b_write(register st_io_cache *info, const unsigned char *Buffer, size_t Count);
+static int _my_b_read(st_io_cache *info, unsigned char *Buffer, size_t Count);
+static int _my_b_write(st_io_cache *info, const unsigned char *Buffer, size_t Count);
 
 /**
  * @brief
  *   Lock appends for the st_io_cache if required (need_append_buffer_lock)   
  */
 inline
-static void lock_append_buffer(register st_io_cache *, int )
+static void lock_append_buffer(st_io_cache *, int )
 {
 }
 
@@ -87,7 +87,7 @@
  *   Unlock appends for the st_io_cache if required (need_append_buffer_lock)   
  */
 inline
-static void unlock_append_buffer(register st_io_cache *, int )
+static void unlock_append_buffer(st_io_cache *, int )
 {
 }
 
@@ -441,7 +441,7 @@
  * @retval 0 We succeeded in reading all data
  * @retval 1 Error: can't read requested characters
  */
-static int _my_b_read(register st_io_cache *info, unsigned char *Buffer, size_t Count)
+static int _my_b_read(st_io_cache *info, unsigned char *Buffer, size_t Count)
 {
   size_t length_local,diff_length,left_length, max_length;
   my_off_t pos_in_file_local;
@@ -552,7 +552,7 @@
  * @retval 0 Success
  * @retval 1 An error has occurred; st_io_cache to error state.
  */
-int _my_b_async_read(register st_io_cache *info, unsigned char *Buffer, size_t Count)
+int _my_b_async_read(st_io_cache *info, unsigned char *Buffer, size_t Count)
 {
   size_t length_local,read_length,diff_length,left_length,use_length,org_Count;
   size_t max_length;
@@ -740,7 +740,7 @@
  * @retval 0 On success
  * @retval 1 On error on write
  */
-int _my_b_write(register st_io_cache *info, const unsigned char *Buffer, size_t Count)
+int _my_b_write(st_io_cache *info, const unsigned char *Buffer, size_t Count)
 {
   size_t rest_length,length_local;
 
@@ -794,7 +794,7 @@
  *   As all write calls to the data goes through the cache,
  *   we will never get a seek over the end of the buffer.
  */
-int my_block_write(register st_io_cache *info, const unsigned char *Buffer, size_t Count,
+int my_block_write(st_io_cache *info, const unsigned char *Buffer, size_t Count,
 		   my_off_t pos)
 {
   size_t length_local;

=== modified file 'drizzled/internal/mf_pack.cc'
--- drizzled/internal/mf_pack.cc	2011-02-17 00:14:13 +0000
+++ drizzled/internal/mf_pack.cc	2011-02-21 21:45:55 +0000
@@ -50,12 +50,12 @@
     #  length of new name
 */
 
-static size_t cleanup_dirname(register char *to, const char *from)
+static size_t cleanup_dirname(char *to, const char *from)
 {
-  register size_t length;
-  register char * pos;
-  register const char * from_ptr;
-  register char * start;
+  size_t length;
+  char * pos;
+  const char * from_ptr;
+  char * start;
   char parent[5],				/* for "FN_PARENTDIR" */
        buff[FN_REFLEN+1],*end_parentdir;
 

=== modified file 'drizzled/internal/mf_qsort.cc'
--- drizzled/internal/mf_qsort.cc	2011-02-17 00:14:13 +0000
+++ drizzled/internal/mf_qsort.cc	2011-02-21 21:45:55 +0000
@@ -41,13 +41,13 @@
 do {							\
    if (swap_ptrs)					\
    {							\
-     register char **a = (char**) (A), **b = (char**) (B);  \
+     char **a = (char**) (A), **b = (char**) (B);  \
      char *tmp = *a; *a++ = *b; *b++ = tmp;		\
    }							\
    else							\
    {							\
-     register char *a = (A), *b = (B);			\
-     register char *end= a+size;				\
+     char *a = (A), *b = (B);			\
+     char *end= a+size;				\
      do							\
      {							\
        char tmp = *a; *a++ = *b; *b++ = tmp;		\

=== modified file 'drizzled/internal/ptr_cmp.cc' (properties changed: +x to -x)
--- drizzled/internal/ptr_cmp.cc	2011-02-17 00:14:13 +0000
+++ drizzled/internal/ptr_cmp.cc	2011-02-21 21:45:55 +0000
@@ -62,8 +62,8 @@
 
 static int ptr_compare(size_t *compare_length, unsigned char **a, unsigned char **b)
 {
-  register int length= *compare_length;
-  register unsigned char *first,*last;
+  int length= *compare_length;
+  unsigned char *first,*last;
 
   first= *a; last= *b;
   while (--length)
@@ -77,8 +77,8 @@
 
 static int ptr_compare_0(size_t *compare_length,unsigned char **a, unsigned char **b)
 {
-  register int length= *compare_length;
-  register unsigned char *first,*last;
+  int length= *compare_length;
+  unsigned char *first,*last;
 
   first= *a; last= *b;
  loop:
@@ -98,8 +98,8 @@
 
 static int ptr_compare_1(size_t *compare_length,unsigned char **a, unsigned char **b)
 {
-  register int length= *compare_length-1;
-  register unsigned char *first,*last;
+  int length= *compare_length-1;
+  unsigned char *first,*last;
 
   first= *a+1; last= *b+1;
   cmp(-1);
@@ -119,8 +119,8 @@
 
 static int ptr_compare_2(size_t *compare_length,unsigned char **a, unsigned char **b)
 {
-  register int length= *compare_length-2;
-  register unsigned char *first,*last;
+  int length= *compare_length-2;
+  unsigned char *first,*last;
 
   first= *a +2 ; last= *b +2;
   cmp(-2);
@@ -141,8 +141,8 @@
 
 static int ptr_compare_3(size_t *compare_length,unsigned char **a, unsigned char **b)
 {
-  register int length= *compare_length-3;
-  register unsigned char *first,*last;
+  int length= *compare_length-3;
+  unsigned char *first,*last;
 
   first= *a +3 ; last= *b +3;
   cmp(-3);

=== modified file 'drizzled/item/cmpfunc.cc'
--- drizzled/item/cmpfunc.cc	2011-02-20 00:09:56 +0000
+++ drizzled/item/cmpfunc.cc	2011-02-21 21:45:55 +0000
@@ -4651,8 +4651,8 @@
 
 bool Item_func_like::turboBM_matches(const char* text, int text_len) const
 {
-  register int bcShift;
-  register int turboShift;
+  int bcShift;
+  int turboShift;
   int shift = pattern_len;
   int j     = 0;
   int u     = 0;
@@ -4666,7 +4666,7 @@
   {
     while (j <= tlmpl)
     {
-      register int i= plm1;
+      int i= plm1;
       while (i >= 0 && pattern[i] == text[i + j])
       {
 	i--;
@@ -4676,7 +4676,7 @@
       if (i < 0)
 	return 1;
 
-      register const int v = plm1 - i;
+      const int v = plm1 - i;
       turboShift = u - v;
       bcShift    = bmBc[(uint32_t) (unsigned char) text[i + j]] - plm1 + i;
       shift      = (turboShift > bcShift) ? turboShift : bcShift;
@@ -4697,7 +4697,7 @@
   {
     while (j <= tlmpl)
     {
-      register int i = plm1;
+      int i = plm1;
       while (i >= 0 && likeconv(cs,pattern[i]) == likeconv(cs,text[i + j]))
       {
         i--;
@@ -4708,7 +4708,7 @@
       if (i < 0)
         return 1;
 
-      register const int v= plm1 - i;
+      const int v= plm1 - i;
       turboShift= u - v;
       bcShift= bmBc[(uint32_t) likeconv(cs, text[i + j])] - plm1 + i;
       shift= (turboShift > bcShift) ? turboShift : bcShift;

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2011-02-20 00:09:56 +0000
+++ drizzled/table.cc	2011-02-21 21:45:55 +0000
@@ -197,7 +197,7 @@
 
 /* Deallocate temporary blob storage */
 
-void free_blobs(register Table *table)
+void free_blobs(Table *table)
 {
   uint32_t *ptr, *end;
   for (ptr= table->getBlobField(), end=ptr + table->sizeBlobFields();
@@ -239,7 +239,7 @@
 
 	/* Check that the integer is in the internal */
 
-int set_zone(register int nr, int min_zone, int max_zone)
+int set_zone(int nr, int min_zone, int max_zone)
 {
   if (nr<=min_zone)
     return (min_zone);

